[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#142072: acknowledged by developer (Re: libc6: pre Euro currencies obseleted too soon)

At 2003/3/31 21:02+1000  Anthony Towns writes:
> On Mon, Mar 31, 2003 at 08:37:36PM +1000, Christopher Yeoh wrote:
> > > Moreover, who or what program does this use?
> > Well I can guarantee that the LSB certification test suite won't even
> > install properly without support for these locales :-)
> Which is a bug in the test suite -- the test suite can fail, sure,
> but shouldn't fail to *install*.

It doesn't fail to install, it fails to install *properly* - ie it is
unable to setup the dummy locale information correctly (localedef
rejects some of the locale data) and as a result some of the tests
fail during the test suite execution.

> This issue was also part of Bug#156821 which was meant to already be
> fixed, fwiw.

I think the patch has been accidentally lost somewhere. I'll check the
latest source again, but I've been running unstable and have been
having to manually patch libc to do test suite runs (even late last
year and early this year). localedef on my laptop is behaving as if
the patch hasn't been applied (I have libc6 2.3.1-13 installed).


IBM OzLabs Linux Development Group
Canberra, Australia

Reply to: